Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

OCI Vaults APIs

Viewing OCI Vaults Added to CipherTrust Manager

search

Viewing OCI Vaults Added to CipherTrust Manager

Use the get /v1/cckm/oci/vaults API to view the list of OCI vaults added to the CipherTrust Manager.

Syntax

curl -k '<IP>/api/v1/cckm/oci/vaults?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authentication token.

Request Query Parameters

Parameter Type Description
id string Resource ID of the OCI vault.
display_name string Display name of the OCI vault.
cloud_name string Name of the cloud.
vault_id string ID of the OCI vault.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/oci/vaults?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJmMDYzMTBmYy02NGVhLTQ4OTgtYmI3Mi05YTIwYzBkOTUxYzIiLCJzdWIiOiJsb2NhbHxmYzg2MjhkMC1mNjczLTRhMWYtYjQ3Yi1hM2I0ODVhMWU3OTQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiYzk4YzkyZTUtMjM0OS00YzU5LWJlZWYtODc2OTQ4ZjIwNzM0Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjMxYTRmM2ZkLTA0MzgtNDRlNy05Y2YwLTE4NGYzZDM1MmZlOSIsImlhdCI6MTYzMzMyMjgwMiwiZXhwIjoxNjMzMzIzMTAyfQ.467fIAet0yGzIjUDIZVIFbhvKegE5i5POT21XStzCdw' -H 'accept: application/json' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "f3f71f32-a89f-4c0a-be14-44e324b38f63",
            "uri": "kylo:kylo:cckm:oci-vault:f3f71f32-a89f-4c0a-be14-44e324b38f63",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2022-01-10T10:38:22.152433Z",
            "updatedAt": "2022-01-10T10:38:22.150548Z",
            "compartment_id": "oraclevault.tenancyb2vg7audpd4d4mcf5zluymff6sq",
            "display_name": "CCKM-Testing",
            "vault_id": "oraclevaultabuwcljta35dmgypqud5hgd7ikl7pmfn7q6wogbigjryu4udtkinnkmyacrq",
            "lifecycle_state": "ACTIVE",
            "management_endpoint": "https://oraclevault.oraclecloud.com",
            "time_created": "2021-12-07T11:50:37.691Z",
            "cloud_name": "oci",
            "connection": "OCI Connection",
            "vault_type": "DEFAULT",
            "wrappingkey_id": "oraclevaultabuwcljstmemqexx5cvev2bfitrlw6tqwqic7mgcbv7chsv7myhpnusyk3zq",
            "defined_tags": {},
            "freeform_tags": {
                "tag-key-1": "tag-value-1",
                "tag-key-2": "tag-value-2",
                "testVault": "cckm"
            },
            "replication_id": "",
            "is_primary": true
        }
    ]
}

The sample output shows the list of OCI vaults added to the CipherTrust Manager.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.